Import KYB info

This option is available subject to a compliance reliance review. You can submit KYB documentation that you have already collected from your customers directly to Noxxo.

Add Company Details

POST /v1/partners/kyc/business/basic-details

Request body:

  • userEmail* (String) — registered email of the user

  • companyName* (String) — legal name of the company as stated on the official company registrar or certificate of incorporation

  • registrationNumber* (String) — company registration number or Tax ID

  • country* (String) — accepted value is 3-letter country code

  • incorporatedOn* (String) — date on which the company was first officially incorporated, accepted in format "YYYY-MM-DD"

  • type* (String) — legal structure or classification of the business as registered with the company registrar; accepted values: "limitedLiabilityCompany", "soleProprietor", "corporation", "partnership", "publiclyListedCompany", "trust"

  • email* (String) — company main contact email

Possible responses:

  • 201: Created

  • 400: Bad Request

  • 500: Internal Server Error


Add Company Address

POST /v1/partners/kyc/business/address

Request body:

  • userEmail* (String) — registered email of the user

  • street* (String) — first line of address - street name, building name or number in the local language and script (e.g., Arabic, Korean, Japanese, etc.)

  • streetEn* (String) — first line of address in English using the Latin alphabet

  • town* (String) — town/city name in the local language and script

  • townEn* (String) — town or city name in English, using the Latin alphabet

  • state* (String) — state or county name in English, using the Latin alphabet

  • country* (String) — country name in English, using the Latin alphabet

Possible responses:

  • 201: Created

  • 400: Bad Request

  • 500: Internal Server Error


Add Legal Representative and Proof of Identity Document

POST /v1/partners/kyc/business/legalRepresentation

Request body:

  • userEmail* (String) — registered email of the user

  • legalRepresentationType* (String) — role in which the individual is authorized to legally represent the company; accepted value: "director"

  • firstName* (String) — first (given) name of the legal representative, exactly as it appears on their official identification document

  • lastName* (String) — last (family/surname) name of the legal representative, exactly as it appears on their official identification document

  • dob* (String) — date of birth of the legal representative, accepted in format "YYYY-MM-DD"

  • nationality* (String) — nationality of the legal representative, required format is 3-letter country code (e.g. "IND" for India)

  • documentNo* (String) — number of document used as proof of identity

  • documentExpirationDate* (String) — accepted in format YYYY-MM-DD; if document does not have expiry date, use default 2099-01-01

  • issueCountry* (String) — accepted value is 3-letter country code

  • documentName* (String) — accepted documents are government issued documents; expected values: "PASSPORT", "ID_CARD", "DRIVERS", "RESIDENCE"

Possible responses:

  • 201: Created

  • 400: Bad Request

  • 500: Internal Server Error

Last updated